<template>
    <div class="register-complete section">
        <base-container>
            <base-information-block
                :maxWidth="335"
                :backButton="false"
                :header="process ? $t('registration-verify.title') : $t('registration-verify.has_error')"
            >
                <div>
                    <div v-if="!process">
                        <p>{{ $t('registration-verify.confirm', { email: email }) }}</p>
                        <p>{{ $t('registration-verify.over_registration') }}</p>
                        <base-button
                            :text="$t('button.farther')"
                            @click="alert('В работе')"
                        />
                    </div>
                    <div v-else>
                        <p>{{ $t('registration-verify.error') }}</p>
                        <base-button
                             :text="$t('button.back')"
                             @click="$router.push('/')"
                        />
                    </div>
                </div>
            </base-information-block>

        </base-container>
    </div>
</template>

<script>
import { API_REGISTER_VERIFY } from 'const/api';

export default {
    name: 'registration-verify',
    data() {
        return {
            process: true,
            email: this.$route.query.email || '',
            token: this.$route.query.token || ''
        }
    },
    computed: {
        fullUrl() {
            return API_REGISTER_VERIFY + '?email=' + encodeURIComponent(this.email) + '&token=' + encodeURIComponent(this.token);
        },
        ...mapState('api', ['apiErrors'])
    },
    mounted() {
        if (this.email.length && this.token.length) {
            this.clearApiErrors();
            axios.get(this.fullUrl,
                {
                    headers: {
                        'Accept': 'application/json',
                        'X-Requested-With': 'XMLHttpRequest'
                    },
                    withCredentials: true
                })
                .then(response => {
                    console.warn(response);
                    if (typeof response.data.user !== 'undefined') {
                        // TODO: Установить пользователя авторизованным
                    }
                })
                .catch(error => {
                    if (error.response) {
                        const { data } = error.response;
                        console.error(error.response);
                        this.setStatusError(data);
                    }
                });
        }
    },
    methods: {
        setStatusError(data) {
            this.addApiError(data);
            this.process = false;
        },
        ...mapActions('api', ['clearApiErrors', 'addApiError'])
    }
}
</script>

<style scoped>

</style>
